net.ME1312.SubServers.Bungee.Host.Internal

## Class InternalSubCreator

- java.lang.Object
- - net.ME1312.SubServers.Bungee.Host.SubCreator
  - - net.ME1312.SubServers.Bungee.Host.Internal.InternalSubCreator

    public class InternalSubCreator
    extends SubCreator

### Nested Class Summary

### Nested classes/interfaces inherited from class net.ME1312.SubServers.Bungee.Host.SubCreator

`SubCreator.ServerType`

### Constructor Summary

Constructors
Constructor and Description
`InternalSubCreator(Host host, java.lang.String gitBash)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `create(java.util.UUID player, java.lang.String name, SubCreator.ServerType type, Version version, int memory, int port)` Create a SubServer
`java.lang.String` `getGitBashDirectory()` Gets the Git Bash install directory
`Host` `getHost()` Gets the host this creator belongs to
`boolean` `isBusy()` Gets the status of SubCreator
`void` `terminate()` Terminate SubCreator
`void` `waitFor()` Wait for SubCreator to Finish

### Methods inherited from class net.ME1312.SubServers.Bungee.Host.SubCreator

`create`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InternalSubCreator

    public InternalSubCreator(Host host,
                              java.lang.String gitBash)

### Method Detail

#### create

    public boolean create(java.util.UUID player,
                          java.lang.String name,
                          SubCreator.ServerType type,
                          Version version,
                          int memory,
                          int port)

Description copied from class: `SubCreator`
Create a SubServer

Specified by:
  `create` in class `SubCreator`
Parameters:
  `player` - Player Creating
  `name` - Server Name
  `type` - Server Type
  `version` - Server Version
  `memory` - Server Memory Amount (in MB)
  `port` - Server Port Number
Returns:
  Success Status

#### terminate

    public void terminate()

Description copied from class: `SubCreator`
Terminate SubCreator

Specified by:
  `terminate` in class `SubCreator`

#### waitFor

    public void waitFor()
                 throws java.lang.InterruptedException

Description copied from class: `SubCreator`
Wait for SubCreator to Finish

Specified by:
  `waitFor` in class `SubCreator`
Throws:
  `java.lang.InterruptedException`

#### getHost

    public Host getHost()

Description copied from class: `SubCreator`
Gets the host this creator belongs to

Specified by:
  `getHost` in class `SubCreator`
Returns:
  Host

#### getGitBashDirectory

    public java.lang.String getGitBashDirectory()

Description copied from class: `SubCreator`
Gets the Git Bash install directory

Specified by:
  `getGitBashDirectory` in class `SubCreator`
Returns:
  Git Bash Directory

#### isBusy

    public boolean isBusy()

Description copied from class: `SubCreator`
Gets the status of SubCreator

Specified by:
  `isBusy` in class `SubCreator`
Returns:
  SubCreator Status